SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000934SOGoBackend Generalpublic2010-10-29 15:202011-03-30 14:33
Reporterwsourdeau 
Assigned Towsourdeau 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.3.6 
Summary0000934: sogo-tool removedoubles: synchronizable deletes
DescriptionCurrently, the "removedoubles" command deletes the records from the content table without marking them with c_deleted. Since we use webdav sync from SOGo Connector, this prevents those deletions from being taken into account. Moreover, this can be worked-around by deleting the address book and recreating it but this is not possible with SOGo Integrator, which would either refuse ("personal") or delete the addressbook from SOGo altogether with its contacts.

I therefore suggest that the current behaviour be effective only with a command-line flag, while using the c_deleted field otherwise.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0001978)
ludovic (administrator)
2010-12-28 15:06

I think we should :

1- remove the entry from the quick table
2- flag the content entry with c_deleted = 1 (together with c_lastmodified == now).

We should add an other "tool" to sogo-tool, to "prune" content tables with records having c_deleted set to 1.
(0002323)
wsourdeau (viewer)
2011-03-30 14:33

Fixed a few days ago.

- Issue History
Date Modified Username Field Change
2010-10-29 15:20 wsourdeau New Issue
2010-10-29 15:55 wsourdeau Severity minor => feature
2010-11-19 13:36 ludovic Target Version => 1.3.5
2010-12-28 15:06 ludovic Note Added: 0001978
2010-12-28 15:06 ludovic Target Version 1.3.5 =>
2011-03-30 14:33 wsourdeau Note Added: 0002323
2011-03-30 14:33 wsourdeau Status new => resolved
2011-03-30 14:33 wsourdeau Fixed in Version => 1.3.6
2011-03-30 14:33 wsourdeau Resolution open => fixed
2011-03-30 14:33 wsourdeau Assigned To => wsourdeau


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker